Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.sessions
Class DirectConnector

`java.lang.Object
oracle.toplink.sessions.DefaultConnector
oracle.toplink.sessions.DirectConnector`

All Implemented Interfaces:
  java.lang.Cloneable, Connector, java.io.Serializable

public class DirectConnector
extends DefaultConnector

Purpose:Use this Connector to build a java.sql.Connection by directly instantiating the Driver, as opposed to using the DriverManager.

Since:
  TOPLink/Java 2.1
See Also:
  Serialized Form

Constructor Summary
`DirectConnector()` PUBLIC: Construct a Connector with default settings (Sun JDBC-ODBC bridge).
`DirectConnector(java.lang.String driverClassName, java.lang.String driverURLHeader, java.lang.String databaseURL)` PUBLIC: Construct a Connector with the specified settings.

Methods inherited from class oracle.toplink.sessions.DefaultConnector
`getConnectionDetails, getConnectionString, getDatabaseURL, getDriverClassName, getDriverURLHeader, setDatabaseURL, setDriverClassName, setDriverURLHeader, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DirectConnector

    public DirectConnector()

  PUBLIC: Construct a Connector with default settings (Sun JDBC-ODBC bridge). Although this does not really make sense for a "direct" Connector - the Sun JdbcOdbcDriver works fine with the DriverManager.

### DirectConnector

    public DirectConnector(java.lang.String driverClassName,
                           java.lang.String driverURLHeader,
                           java.lang.String databaseURL)

  PUBLIC: Construct a Connector with the specified settings.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD